diff -c -w "compile.el" "compile-patched-2009-02-22.el"
*** compile.el	Sun Feb 22 13:20:56 2009
--- compile-patched-2009-02-22.el	Sun Feb 22 13:23:56 2009
***************
*** 2085,2098 ****
  		;; We want highlighting: delete overlay on next input.
  		(add-hook 'pre-command-hook
  			  'compilation-goto-locus-delete-o)
  	      ;; We don't want highlighting: delete overlay now.
! 	      (delete-overlay compilation-highlight-overlay))
  	    ;; We want highlighting for a limited time:
  	    ;; set up a timer to delete it.
  	    (when (numberp next-error-highlight)
  	      (setq next-error-highlight-timer
  		    (run-at-time next-error-highlight nil
! 				 'compilation-goto-locus-delete-o)))))))
      (when (and (eq next-error-highlight 'fringe-arrow))
        ;; We want a fringe arrow (instead of highlighting).
        (setq next-error-overlay-arrow-position
--- 2085,2100 ----
                  ;; We want highlighting: delete overlay on next input.
                  (add-hook 'pre-command-hook
                            'compilation-goto-locus-delete-o)
+               (unless (eq next-error-highlight 'until-move)
                  ;; We don't want highlighting: delete overlay now.
!                 (delete-overlay compilation-highlight-overlay)))
              ;; We want highlighting for a limited time:
              ;; set up a timer to delete it.
              (when (numberp next-error-highlight)
                (setq next-error-highlight-timer
                      (run-at-time next-error-highlight nil
!                                  'compilation-goto-locus-delete-o)))))
!         (raise-frame)))
      (when (and (eq next-error-highlight 'fringe-arrow))
        ;; We want a fringe arrow (instead of highlighting).
        (setq next-error-overlay-arrow-position

Diff finished at Sun Feb 22 13:29:41
